//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.Diagnostics;
using System.IO;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Ipc;

namespace MecInfoDll
{
    [Serializable] 
    public class Comment
    {
        public string num = "";
        public string name = "";
        public string mail = "";
        public string date = "";
        public string body = "";
        public string id = "";

        public string beID = "";
        public string beType = "";
        public string bePoint = "";

        public bool abon = false;

        public bool cutFlag = false;
        public Comment()
        {
            abon = false;
        }
    }
    [Serializable] 
    public class MecWord
    {
        public string mecword = "";
        public List<string> list = null;

        public MecWord(string str, string num)
        {
            list = new List<string>();
            mecword = str;
            list.Add(num);
        }
    }
    [Serializable] 
    public class MecWordList
    {
        public string name;
        public List<MecWord> mecWord;

        public MecWordList(string name, List<MecWord> mecWord)
        {
            this.name = name;
            this.mecWord = mecWord;
        }
    }

    public interface IMecInfo
    {
        string test(string a);
        List<MecWord> GetAnalysisData(List<Comment> comments);
        List<string> Nmecab(string str);
    }
}